CVE-2017-8849

Published: 17 May 2017

smb4k before 2.0.1 allows local users to gain root privileges by leveraging failure to verify arguments to the mount helper DBUS service.

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
smb4k
Launchpad, Ubuntu, Debian
Upstream
Released (1.2.1-2, 2.0.1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(2.1.0-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(2.1.0-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(2.1.0-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(2.1.0-1)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needed)
Patches:
Upstream: https://commits.kde.org/smb4k/71554140bdaede27b95dbe4c9b5a028a83c83cce (1.2.3)
Upstream: https://commits.kde.org/smb4k/a90289b0962663bc1d247bbbd31b9e65b2ca000e (2.0.0)